Bug 1830772 - logfile is overwritten instead of appended
Summary: logfile is overwritten instead of appended
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: convert2rhel
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Bocek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-03 18:55 UTC by Till Maas
Modified: 2020-08-26 15:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 12:48:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Till Maas 2020-05-03 18:55:57 UTC
Description of problem:

After bug 1830769 I tried to run convert2rhel again after importing the GPG key. Then it failed because convert2rhel already removed /etc/system-release. When I then tried to check the logfile for what happened the first time, I noticed that it contains only the error from the last run.

Please append to the log (change the mode from "w" to "a" in https://github.com/tyll/convert2rhel/blob/master/convert2rhel/logger.py#L76 or create a unique logfile for each run.


Version-Release number of selected component (if applicable):
convert2rhel-0.9-1.el7.noarch

Comment 1 Michal Bocek 2020-05-04 09:30:01 UTC
Thanks for the idea. It completely makes sense.
By the way you will most probably find the /etc/system-release file backed up under /tmp/convert2rhel. Upon copying it back to /etc/system-release, the convert2rhel should be able to proceed with the conversion again.

Comment 3 Till Maas 2020-05-04 10:50:42 UTC
(In reply to Michal Bocek from comment #1)
> Thanks for the idea. It completely makes sense.
> By the way you will most probably find the /etc/system-release file backed
> up under /tmp/convert2rhel. Upon copying it back to /etc/system-release, the
> convert2rhel should be able to proceed with the conversion again.

Yes, thanks, this is what I did and it worked.

Comment 4 Fellipe Henrique 2020-07-13 12:48:24 UTC
Fixed on this PR: https://github.com/oamg/convert2rhel/pull/85

Comment 5 Fedora Update System 2020-08-19 15:43:34 UTC
FEDORA-EPEL-2020-d0a4bcf7f1 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d0a4bcf7f1

Comment 6 Fedora Update System 2020-08-20 02:08:23 UTC
FEDORA-EPEL-2020-baa69bfeef has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-baa69bfeef

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-08-20 02:11:43 UTC
FEDORA-EPEL-2020-d0a4bcf7f1 has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d0a4bcf7f1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-08-22 01:52:53 UTC
FEDORA-EPEL-2020-baa69bfeef has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-08-26 15:12:24 UTC
FEDORA-EPEL-2020-d0a4bcf7f1 has been pushed to the Fedora EPEL 6 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.